/*
 * Inspired from PureMVC - Copyright(c) 2006-2012 Futurescale, Inc., Some rights reserved.
 * TrueMVC JavaScript may be freely distributed under the MIT license.
 * For all details and documentation: https://github.com/tekool/truemvc-javascript
 */

/**
 * @classDescription
 * A utility class used by CommandTest.
 *
 * @see truemvc.command.CommandTest CommandTest
 * @see truemvc.command.CommandTestCommand CommandTestCommand
 *
 * @constructor
 */
var CommandTestVO = Objs
(
	"truemvc.command.CommandTestVO",
	{
		/**
		 * @constructs
		 * Initialize a <code>CommandTestVO</code> instance.
		 * 
		 * @param {Number} input
		 * 		The number to be fed to the	<code>CommandTestCommand</code>.
		 */
		initialize: function( input )
		{
			this.input = input;
		},
	
		/**
		 * @type {Number}
		 */
		input: null,
	
		/**
		 * @type {Number}
		 */
		result: null
	}
);