/*
 * Inspired from PureMVC - Copyright(c) 2006-2012 Futurescale, Inc., Some rights reserved.
 * TrueMVC JavaScript may be freely distributed under the MIT license.
 * For all details and documentation: https://github.com/tekool/truemvc-javascript
 */

/**
 * @classDescription
 * A utility class used by MacroCommandTest.
 * 
 * @see truemvc.command.MacroCommandTest MacroCommandTest
 * @see truemvc.command.MacroCommandTestCommand MacroCommandTestCommand
 * @see truemvc.command.MacroCommandTestSub1Command MacroCommandTestSub1Command
 * @see truemvc.command.MacroCommandTestSub2Command MacroCommandTestSub2Command
 * 
 * @constructor
 */
var MacroCommandTestVO = Objs
(
	"truemvc.command.MacroCommandTestVO",
	{
		/**
		 * @constructs
		 * Initialize a <code>MacroCommandTestVO</code> instance.
		 * 
	  	 * @param {Number} input
	  	 * 		A random number to pass to the command.
	 	 */
		initialize: function( input )
		{
			this.input = input;
		},
		
		/**
		 * @type {Number}
		 */
		input: null,
		
		/**
		 * @type {Number}
		 */
		result1: null,
		
		/**
		 * @type {Number}
		 */
		result2: null
	}
);