/*
 * Inspired from PureMVC - Copyright(c) 2006-2012 Futurescale, Inc., Some rights reserved.
 * TrueMVC JavaScript may be freely distributed under the MIT license.
 * For all details and documentation: https://github.com/tekool/truemvc-javascript
 */

/**
 * @classDescription
 * A utility class used by FacadeTest.
 * 
 * @see truemvc.facade.FacadeTest FacadeTest
 * @see truemvc.facade.FacadeTestCommand FacadeTestCommand
 * 
 * @constructor
 */
var FacadeTestVO = Objs
(
	"truemvc.facade.FacadeTestVO",
	{
		/**
		 * @constructs
		 * Initialize a <code>FacadeTestVo</code> instance.
		 * 
		 * @param {Number} input
		 * 		The number to be fed to the FacadeTestCommand
		 */
		initialize: function( input )
		{
			this.input = input;
		},
		
		/**
		 * @type {Number}
		 */
		input : null,
		
		/**
		 * @type {Number}
		 */
		result : null
	}
);