/*
 * Inspired from PureMVC - Copyright(c) 2006-2012 Futurescale, Inc., Some rights reserved.
 * TrueMVC JavaScript may be freely distributed under the MIT license.
 * For all details and documentation: https://github.com/tekool/truemvc-javascript
 */

/**
 * @classDescription
 * A utility class used by ControllerTest.
 * 
 * @see truemvc.mvc.ControllerTest ControllerTest
 * @see truemvc.mvc.ControllerTestCommand ControllerTestCommand
 * 
 * @constructor
 */
var ControllerTestVO = Objs
(
	"truemvc.mvc.ControllerTestVO",
	{
		/**
		 * @constructs
		 * 
		 * @param {Number} input
		 * 		The number to be fed to the <code>ControllerTestCommand</code>.
		 */
		initialize: function( input )
		{
			this.input = input;
		},
	
		/**
		 * @type {Number}
		 */
		input: 0,
	
		/**
		 * @type {Number}
		 */		
		result: 0
	}
);