/*
 * Inspired from PureMVC - Copyright(c) 2006-2012 Futurescale, Inc., Some rights reserved.
 * TrueMVC JavaScript may be freely distributed under the MIT license.
 * For all details and documentation: https://github.com/tekool/truemvc-javascript
 */

/**
 * @class
 * A <code>Facade</code> subclass removing automatic call to initializeFacade.
 *
 * @extends truemvc.facade.Facade Facade
 */
var FacadeTestSub = Objs
(
	"truemvc.facade.FacadeTestSub",
	"truemvc.facade.Facade",
	{
		/**
		 * @constructs
		 * @override
		 */
		initialize: function()
		{
			/*
			 * We don't want the super initializeFacade method to be automatically called to test the Facade for its
			 * basics getters/setters and initalizations methods.
			 */
		}
	}
);